Bug 231238 - Crash while changing field size in playlist layout [@ InlineEditorWidget::splitterMoved]
Summary: Crash while changing field size in playlist layout [@ InlineEditorWidget::spl...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist/Playlist Layout Editor (show other bugs)
Version: 2.3.1-GIT
Platform: Unlisted Binaries Linux
: NOR crash with 20 votes (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-18 17:51 UTC by Alexey Khuraskin
Modified: 2011-02-23 01:02 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
the layout used for bug reproducing (1.34 KB, text/xml)
2010-03-18 17:56 UTC, Alexey Khuraskin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Khuraskin 2010-03-18 17:51:17 UTC
Application that crashed: amarok
Version of the application: 2.3.0
KDE Version: 4.3.4 (KDE 4.3.4)
Qt Version: 4.5.3
Operating System: Linux 2.6.32-3-686 i686
Distribution: Debian GNU/Linux unstable (sid)

What I was doing when the application crashed:
The bug 218167 was reproduced on the recent amarok version

amarok: [Playlist::PrettyItemDelegate] painting moodbar in PrettyItemDelegate::paintItem
amarok: BEGIN: void InlineEditorWidget::splitterMoved(int, int)
amarok:    on row:  0
amarok:    item  0  old/new:  0.5 / 0.561194
amarok:    item  1  old/new:  0 / 0.137313
amarok:    item  2  old/new:  0 / 0.134328
amarok:    item  3  old/new:  0 / 0.167164
KCrash: Application 'amarok' crashing...
sock_file=/home/ask/.kde/socket-krokus/kdeinit4__0


 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb2430ac0 (LWP 11095))]

Thread 12 (Thread 0xaf579b70 (LWP 11096)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea3d2 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0xb5ae0864 in __pthread_cond_timedwait (cond=0x9ef9fe8, mutex=0x9ef9fd0, abstime=0xaf579320) at forward.c:152
#3  0xb0732ad3 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 11 (Thread 0xaec02b70 (LWP 11097)):
#0  0xb3d83e4c in *__GI_clock_gettime (clock_id=-1277657100, tp=0xaec02028) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb6788e9b in QTimerInfoList::getTime (this=0x9dcbacc, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0xb6789061 in QTimerInfoList::updateCurrentTime (this=0x9dcbacc) at kernel/qeventdispatcher_unix.cpp:297
#3  0xb678921a in QTimerInfoList::timerWait (this=0x9dcbacc, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0xb6787220 in timerSourcePrepareHelper (src=0xaec02028, timeout=0xaec0210c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb3d06c30 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0xb3d06ff1 in ?? () from /lib/libglib-2.0.so.0
#7  0xb3d07503 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0xb678705f in QEventDispatcherGlib::processEvents (this=0x9efafa0, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#9  0xb675a83a in QEventLoop::processEvents (this=0xaec022b0, flags=...) at kernel/qeventloop.cpp:149
#10 0xb675ac82 in QEventLoop::exec (this=0xaec022b0, flags=...) at kernel/qeventloop.cpp:201
#11 0xb6668309 in QThread::exec (this=0x9e60900) at thread/qthread.cpp:487
#12 0xb077f48a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0xb666b5e2 in QThreadPrivate::start (arg=0x9e60900) at thread/qthread_unix.cpp:188
#14 0xb40e6585 in start_thread (arg=0xaec02b70) at pthread_create.c:300
#15 0xb5ad329e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xae2ffb70 (LWP 11100)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb5ac5b27 in *__GI___poll (fds=0xae2ff27c, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xaed71b03 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
The current source language is "auto; currently c".

Thread 9 (Thread 0xadafeb70 (LWP 11101)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0x9f19038, mutex=0x9f19020) at forward.c:139
#3  0xb07436ca in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 8 (Thread 0xad2fdb70 (LWP 11102)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0x9f1b9c8, mutex=0x9f1b9b0) at forward.c:139
#3  0xb07436ca in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 7 (Thread 0xac8ffb70 (LWP 11103)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0xae31f010, mutex=0xae31eff8) at forward.c:139
#3  0xb07436ca in ?? () from /usr/lib/libxine.so.1
#4  0x00000000 in ?? ()

Thread 6 (Thread 0xabeffb70 (LWP 11104)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0xac95e490, mutex=0xac95e478) at forward.c:139
#3  0xb07436ca in ?? () from /usr/lib/libxine.so.1
#4  0x00000000 in ?? ()

Thread 5 (Thread 0xab04bb70 (LWP 11107)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0xa77de00, mutex=0xa77dde8) at forward.c:139
#3  0xb666c5c2 in QWaitConditionPrivate::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb526ab10 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa77dce0, th=0xa77e310) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb526d0cc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa77e068, th=0xa77e310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb52691db in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa77dce0, th=0xa77e310) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb526d1c2 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa77e310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa77e310, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb526d1e1 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa77e310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa77e310, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb526d1e1 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa77e310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa77e310, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb526d1e1 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa77e310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa77e310, previous=0xa37efd8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb526b39e in ThreadWeaver::ThreadRunHelper::run (this=0xab04b2f4, parent=0xa77dce0, th=0xa77e310) at ../../../threadweaver/Weaver/Thread.cpp:87
#17 0xb526babb in ThreadWeaver::Thread::run (this=0xa77e310) at ../../../threadweaver/Weaver/Thread.cpp:142
#18 0xb666b5e2 in QThreadPrivate::start (arg=0xa77e310) at thread/qthread_unix.cpp:188
#19 0xb40e6585 in start_thread (arg=0xab04bb70) at pthread_create.c:300
#20 0xb5ad329e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa889db70 (LWP 11108)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0xa77de00, mutex=0xa77dde8) at forward.c:139
#3  0xb666c5c2 in QWaitConditionPrivate::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb526ab10 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa77dce0, th=0xabfa13a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb526d0cc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa77e068, th=0xabfa13a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb52691db in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa77dce0, th=0xabfa13a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb526d1c2 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xabfa13a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xabfa13a0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb526d1e1 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xabfa13a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xabfa13a0, previous=0xa978ab8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb526b39e in ThreadWeaver::ThreadRunHelper::run (this=0xa889d2f4, parent=0xa77dce0, th=0xabfa13a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb526babb in ThreadWeaver::Thread::run (this=0xabfa13a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb666b5e2 in QThreadPrivate::start (arg=0xabfa13a0) at thread/qthread_unix.cpp:188
#15 0xb40e6585 in start_thread (arg=0xa889db70) at pthread_create.c:300
#16 0xb5ad329e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa7ec4b70 (LWP 11109)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0xa77de00, mutex=0xa77dde8) at forward.c:139
#3  0xb666c5c2 in QWaitConditionPrivate::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb526ab10 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa77dce0, th=0xa82b968) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb526d0cc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa77e068, th=0xa82b968) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb52691db in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa77dce0, th=0xa82b968) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb526d1c2 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa82b968) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa82b968, previous=0xa9ec608) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb526b39e in ThreadWeaver::ThreadRunHelper::run (this=0xa7ec42f4, parent=0xa77dce0, th=0xa82b968) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb526babb in ThreadWeaver::Thread::run (this=0xa82b968) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb666b5e2 in QThreadPrivate::start (arg=0xa82b968) at thread/qthread_unix.cpp:188
#13 0xb40e6585 in start_thread (arg=0xa7ec4b70) at pthread_create.c:300
#14 0xb5ad329e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa76c3b70 (LWP 11110)):
#0  0xb7759424 in __kernel_vsyscall ()
#1  0xb40ea0a5 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0xb5ae080d in __pthread_cond_wait (cond=0xa77de00, mutex=0xa77dde8) at forward.c:139
#3  0xb666c5c2 in QWaitConditionPrivate::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa77dcf8, mutex=0xa77df88, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb526ab10 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa77dce0, th=0xa7e3818) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb526d0cc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa77e068, th=0xa7e3818) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb52691db in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa77dce0, th=0xa7e3818) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb526d1c2 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa7e3818) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa7e3818, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb526d1e1 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa7e3818) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa7e3818, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb526d1e1 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa77e068, th=0xa7e3818) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb526ad93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa77dce0, th=0xa7e3818, previous=0xa8dc558) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb526b39e in ThreadWeaver::ThreadRunHelper::run (this=0xa76c32f4, parent=0xa77dce0, th=0xa7e3818) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0xb526babb in ThreadWeaver::Thread::run (this=0xa7e3818) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0xb666b5e2 in QThreadPrivate::start (arg=0xa7e3818) at thread/qthread_unix.cpp:188
#17 0xb40e6585 in start_thread (arg=0xa76c3b70) at pthread_create.c:300
#18 0xb5ad329e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb2430ac0 (LWP 11095)):
[KCrash Handler]
#6  0xb6ce62fd in InlineEditorWidget::splitterMoved (this=0xbd288f0, pos=378, index=1) at ../../src/playlist/view/listview/InlineEditorWidget.cpp:464
#7  0xb6ce7a3a in InlineEditorWidget::qt_metacall (this=0xbd288f0, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbfab3528) at ./InlineEditorWidget.moc:77
#8  0xb6771303 in QMetaObject::activate (sender=0xb91df50, from_signal_index=27, to_signal_index=27, argv=0xbfab3528) at kernel/qobject.cpp:3112
#9  0xb6771f42 in QMetaObject::activate (sender=0xb91df50, m=0xb6606fac, local_signal_index=0, argv=0xbfab3528) at kernel/qobject.cpp:3186
#10 0xb64220b9 in QSplitter::splitterMoved (this=0xb91df50, _t1=378, _t2=1) at .moc/release-shared/moc_qsplitter.cpp:120
#11 0xb620106c in QSplitter::moveSplitter (this=0xb91df50, pos=378, index=1) at widgets/qsplitter.cpp:1407
#12 0xb6201201 in QSplitterHandle::moveSplitter (this=0xb921598, pos=378) at widgets/qsplitter.cpp:192
#13 0xb620139f in QSplitterHandle::mouseMoveEvent (this=0xb921598, e=0xbfab3d9c) at widgets/qsplitter.cpp:260
#14 0xb5df1865 in QWidget::event (this=0xb921598, event=0xbfab3d9c) at kernel/qwidget.cpp:7539
#15 0xb61fec7c in QSplitterHandle::event (this=0xb921598, event=0xbfab3d9c) at widgets/qsplitter.cpp:246
#16 0xb5d9ba94 in QApplicationPrivate::notify_helper (this=0x9dd2ba0, receiver=0xb921598, e=0xbfab3d9c) at kernel/qapplication.cpp:4065
#17 0xb5da4551 in QApplication::notify (this=0xbfab5678, receiver=0xb921598, e=0xbfab3d9c) at kernel/qapplication.cpp:3767
#18 0xb70028a6 in App::notify (this=0xbfab5678, receiver=0xb921598, event=0xbfab3d9c) at ../../src/App.cpp:917
#19 0xb675c1eb in QCoreApplication::notifyInternal (this=0xbfab5678, receiver=0xb921598, event=0xbfab3d9c) at kernel/qcoreapplication.cpp:610
#20 0xb5da35de in QCoreApplication::sendSpontaneousEvent (receiver=0xb921598, event=0xbfab3d9c, alienWidget=0xb921598, nativeWidget=0xa230668, buttonDown=0xb6612580, lastMouseReceiver=...)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#21 QApplicationPrivate::sendMouseEvent (receiver=0xb921598, event=0xbfab3d9c, alienWidget=0xb921598, nativeWidget=0xa230668, buttonDown=0xb6612580, lastMouseReceiver=...)
    at kernel/qapplication.cpp:2924
#22 0xb5e12175 in QETWidget::translateMouseEvent (this=0xa230668, event=0xbfab534c) at kernel/qapplication_x11.cpp:4411
#23 0xb5e11646 in QApplication::x11ProcessEvent (this=0xbfab5678, event=0xbfab534c) at kernel/qapplication_x11.cpp:3430
#24 0xb5e3bbc2 in x11EventSourceDispatch (s=0x9dd54b0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#25 0xb3d03b38 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#26 0xb3d073d0 in ?? () from /lib/libglib-2.0.so.0
#27 0xb3d07503 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#28 0xb6787041 in QEventDispatcherGlib::processEvents (this=0x9cf4f60, flags=...) at kernel/qeventdispatcher_glib.cpp:407
#29 0xb5e3b305 in QGuiEventDispatcherGlib::processEvents (this=0x9cf4f60, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#30 0xb675a83a in QEventLoop::processEvents (this=0xbfab5600, flags=...) at kernel/qeventloop.cpp:149
#31 0xb675ac82 in QEventLoop::exec (this=0xbfab5600, flags=...) at kernel/qeventloop.cpp:201
#32 0xb675d0d9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#33 0xb5d9b917 in QApplication::exec () at kernel/qapplication.cpp:3525
#34 0x0805232b in main (argc=1, argv=0xbfab5ed4) at ../../src/main.cpp:237

This bug may be a duplicate of or related to bug 218167

Reported using DrKonqi
Comment 1 Alexey Khuraskin 2010-03-18 17:56:12 UTC
Created attachment 41741 [details]
the layout used for bug reproducing
Comment 2 Mikko C. 2010-03-18 17:57:56 UTC
it seems to be crashing on a debug line.
Comment 3 Myriam Schweingruber 2010-05-22 12:29:19 UTC
Can somebody confirm this?
Comment 4 Myriam Schweingruber 2010-08-09 13:09:07 UTC
Is this still valid for Amarok 2.3.1 or later? Can somebody confirm this?
Comment 5 Alexey Khuraskin 2010-08-09 20:37:54 UTC
Yes, I've just reproduced it on 2.3.1 from debian distribution

Steps to reproduce:
1) Copy file attached at comment #1 into ~/.kde/share/apps/amarok/playlist_layouts directory
2) Start amarok, choose this playlist layout as active
3) Single-click on song title twice: sliders will appear. You may use them to change column size
4) Move one of them. Catch segfault
Comment 6 Myriam Schweingruber 2010-08-09 22:43:51 UTC
Thank you for the feedback.
Comment 7 Alexey Khuraskin 2010-08-12 11:23:30 UTC
The bug was opened half year ago, its duplicate (marked as fixed, but not verified and still reproduceable) is almost one-year old. It crashes application. 
What should happen for this bug to change its status from UNCONFIRMED to something more serious?
Comment 8 Myriam Schweingruber 2010-08-12 13:20:16 UTC
To change the status of the report it needs to be confirmed by somebody else than you.

Reproduced with current Amarok 2.3.1-git of today, KDE 4.5, Qt 4.7.0

Thread 1 (Thread 0x7f8aae552780 (LWP 31619)):
[KCrash Handler]
#6  0x00007f8aab1e7a75 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f8aab1eb5c0 in *__GI_abort () at abort.c:92
#8  0x00007f8aabad47d4 in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2271
#9  0x00007f8aabad49b2 in qt_message (msgType=QtFatalMsg, msg=0x7f8aabc35798 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0x7fff88c844c0) at global/qglobal.cpp:2317
#10 0x00007f8aabad4b65 in qFatal (msg=0x7b83 <Address 0x7b83 out of bounds>) at global/qglobal.cpp:2500
#11 0x00007f8aad3b10b5 in QList<double>::at (this=0x7fff88c84710, i=4) at /usr/include/qt4/QtCore/qlist.h:455
#12 0x00007f8aad3ad787 in InlineEditorWidget::splitterMoved (this=0x49a5fc0, pos=382, index=1) at /home/myriam/kde/src/amarok/src/playlist/view/listview/InlineEditorWidget.cpp:415
#13 0x00007f8aad3adf7e in InlineEditorWidget::qt_metacall (this=0x49a5fc0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7fff88c848c0) at /home/myriam/kde/build/amarok/src/InlineEditorWidget.moc:83
#14 0x00007f8aabbe77a7 in QMetaObject::activate (sender=0x21a1140, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#15 0x00007f8aacc75c6c in QSplitter::splitterMoved (this=0x7b83, _t1=382, _t2=1) at .moc/release-shared/moc_qsplitter.cpp:126
#16 0x00007f8aaca1983a in QSplitter::moveSplitter (this=<value optimized out>, pos=<value optimized out>, index=<value optimized out>) at widgets/qsplitter.cpp:1452
#17 0x00007f8aac5f42fb in QWidget::event (this=0x200c530, event=0x7fff88c85370) at kernel/qwidget.cpp:8142
#18 0x00007f8aac59ecdc in QApplicationPrivate::notify_helper (this=0xcfa350, receiver=0x200c530, e=0x7fff88c85370) at kernel/qapplication.cpp:4389
#19 0x00007f8aac5a4fee in QApplication::notify (this=0x7fff88c86020, receiver=0x200c530, e=0x7fff88c85370) at kernel/qapplication.cpp:3952
#20 0x00007f8aadf6ceb6 in KApplication::notify (this=0x7fff88c86020, receiver=0x200c530, event=0x7fff88c85370) at ../../kdeui/kernel/kapplication.cpp:310
#21 0x00007f8aabbcfa8c in QCoreApplication::notifyInternal (this=0x7fff88c86020, receiver=0x200c530, event=0x7fff88c85370) at kernel/qcoreapplication.cpp:732
#22 0x00007f8aac5a3a9e in QCoreApplication::sendEvent (receiver=0x200c530, event=0x7fff88c85370, alienWidget=0x200c530, nativeWidget=0x1aa01c0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QApplicationPrivate::sendMouseEvent (receiver=0x200c530, event=0x7fff88c85370, alienWidget=0x200c530, nativeWidget=0x1aa01c0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3051
#24 0x00007f8aac626335 in QETWidget::translateMouseEvent (this=0x1aa01c0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#25 0x00007f8aac624c6c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff88c85c90) at kernel/qapplication_x11.cpp:3536
#26 0x00007f8aac650e82 in x11EventSourceDispatch (s=0xcfeff0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#27 0x00007f8aa392a8c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#28 0x00007f8aa392e748 in ?? () from /lib/libglib-2.0.so.0
#29 0x00007f8aa392e8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#30 0x00007f8aabbfbb83 in QEventDispatcherGlib::processEvents (this=0xb9c030, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#31 0x00007f8aac6507ee in QGuiEventDispatcherGlib::processEvents (this=0x7b83, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#32 0x00007f8aabbce7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#33 0x00007f8aabbceb9c in QEventLoop::exec (this=0x7fff88c85fc0, flags=) at kernel/qeventloop.cpp:201
#34 0x00007f8aabbd2c4b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#35 0x000000000040b026 in main (argc=4, argv=0x7fff88c87f78) at /home/myriam/kde/src/amarok/src/main.cpp:237

Output message from konsole:

amarok: BEGIN: void InlineEditorWidget::splitterMoved(int, int) 
amarok:    on row:  0 
amarok:    item  0  old/new:  0.5 / 0.563422 
amarok:    item  1  old/new:  0 / 0.135693 
amarok:    item  2  old/new:  0 / 0.135693 
amarok:    item  3  old/new:  0 / 0.165192 
ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 455
KCrash: Application 'amarok' crashing...
QSocketNotifier: Invalid socket 59 and type 'Read', disabling...
Comment 9 Ralf Engels 2011-02-21 23:06:31 UTC
I need a description of the layout used and a description what splitter you are dragging where.

Maybe you could attach the layout file: ~/.kde/share/apps/amarok/layout and tell me which layout crashes.

Does it only happen with a moodbar?
Comment 10 Alexey Khuraskin 2011-02-21 23:14:45 UTC
(In reply to comment #9)
> I need a description of the layout used and a description what splitter you are
> dragging where.
> 
> Maybe you could attach the layout file: ~/.kde/share/apps/amarok/layout and
> tell me which layout crashes.
> 
> Does it only happen with a moodbar?

Layout file was attached in comment #2. Will it be enough for investigation?

There are not so much splitters, and amarok crashed just as you touch some of them. I suppose, it would not be a problem to find it
Comment 11 Alexey Khuraskin 2011-02-21 23:15:42 UTC
(In reply to comment #9)
> Does it only happen with a moodbar?
Yes, I suppose
Comment 12 Ralf Engels 2011-02-22 20:52:54 UTC
Oh, cool. It really crashes.
I will fix it.
Comment 13 Myriam Schweingruber 2011-02-23 01:02:21 UTC
Git commit 2a48382866761076d71bafa4b894463d0ab4897a by Ralf Engels.
Committed on 22/02/2011 at 21:10.
Pushed by rengels into branch 'master'.

Fix problem when using a splitter in a layout with moodbar

BUG: 231238